Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Loyalty

  • Create loyalty account

  • Search loyalty accounts

  • Retrieve loyalty account

  • Accumulate loyalty points

  • Adjust loyalty points

  • Search loyalty events

  • Retrieve loyalty program

  • Calculate loyalty points

  • List loyalty promotions

  • Create loyalty promotion

  • Retrieve loyalty promotion

  • Cancel loyalty promotion

  • Create loyalty reward

  • Search loyalty rewards

  • Delete loyalty reward

  • Retrieve loyalty reward

  • Redeem loyalty reward

  • Webhooks

  • loyalty.account.created

  • loyalty.account.deleted

  • loyalty.account.updated

  • loyalty.event.created

  • loyalty.program.created

  • loyalty.program.updated

  • loyalty.promotion.created

  • loyalty.promotion.updated

<- Loyalty API

Loyalty API

All versions ->

Retrieve loyalty reward

GET

 /v2/loyalty/rewards/{reward_id}

Retrieves a loyalty reward.

Permissions:LOYALTY_READ

Guide

Retrieve loyalty reward

Try in API Explorer
Link to section

Path parameters

Example code

Link to section

reward_id

string

Required

The ID of the loyalty reward to retrieve.

Link to section

Response fields

Link to section

errors

Any errors that occurred during the request.

Link to section

reward

The loyalty reward retrieved.

Link to section

Examples

All versions ->

GET /v2/loyalty/rewards/{reward_id}
curl https://connect.squareup.com/v2/loyalty/rewards/9f18ac21-233a-31c3-be77-b45840f5a810 \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json'

Response JSON

{ "reward": { "id": "9f18ac21-233a-31c3-be77-b45840f5a810", "status": "REDEEMED", "loyalty_account_id": "5adcb100-07f1-4ee7-b8c6-6bb9ebc474bd", "reward_tier_id": "e1b39225-9da5-43d1-a5db-782cdd8ad94f", "points": 10, "created_at": "2020-05-08T21:55:42Z", "updated_at": "2020-05-08T21:56:00Z", "redeemed_at": "2020-05-08T21:56:00Z" } }